package eu.jonahbauer.wizard.core.machine.states.trick;

import eu.jonahbauer.wizard.core.machine.Game;
import eu.jonahbauer.wizard.core.machine.states.GameData;
import eu.jonahbauer.wizard.core.machine.GameState;

import java.util.Optional;

public final class StartingTrick extends TrickState {
    public StartingTrick(GameData data) {
        super(data);
    }

    @Override
    public Optional<GameState> onEnter(Game game) {
        return transition(new PlayingCard(getData()));
    }
}
